#ifndef CGTKTEXTVIEW_H
#define CGTKTEXTVIEW_H

#include <gtkmm.h>
#include <iostream>

// This class is designed to provide an easy-to-use multi-line
// text widget with scrollbars and the lot. Note that it inherits
// from Gtk::ScrolledWindow, not Gtk::TextView, and so don't treat
// it like it's a regular TextView widget.
// See COPYING for license information.

class CGtkTextView : public Gtk::ScrolledWindow
{
public:
	CGtkTextView();
	void	SetText(Glib::ustring text);
	void	GetTextFromFile(Glib::ustring fname);
protected:
	Gtk::TextView			_TextView;
	Glib::RefPtr<Gtk::TextBuffer>	_RefTextBuffer;
};

CGtkTextView::CGtkTextView()
{
	set_policy(Gtk::POLICY_AUTOMATIC, Gtk::POLICY_AUTOMATIC);
	add(_TextView);
	_RefTextBuffer = Gtk::TextBuffer::create();
	_TextView.set_buffer(_RefTextBuffer);
	_TextView.set_editable(false);
}

void CGtkTextView::SetText(Glib::ustring text)
{
	_RefTextBuffer->set_text(text);
}

void CGtkTextView::GetTextFromFile(Glib::ustring fname)
{	// Load the text from a file.
	std::ifstream	_ifile;
	std::string	_input;
	Glib::ustring	_output;
	_ifile.open(fname.c_str(), std::ios_base::in);
	while ( !_ifile.eof() && _ifile.is_open() ) {
		getline(_ifile, _input);
		_output += _input + "\n";
	}
	_RefTextBuffer->set_text(_output);
}

#endif
