#ifndef COPTIONSDIALOG_H
#define COPTIONSDIALOG_H

#include <gtkmm.h>

// A simple dialog to present some options, for use with zendo.
// See COPYING for license information

class COptionsDialog : public Gtk::Dialog
{
public:
	COptionsDialog();
	Gtk::CheckButton	DependenciesChk;
	Gtk::CheckButton	MirrorCatChk;
	Gtk::CheckButton	SearchCategoryChk;
	Gtk::CheckButton	SearchFilterChk;
	Gtk::CheckButton	SearchDescChk;
	Gtk::CheckButton	StartReloadChk;
	Gtk::CheckButton	VerboseButtonsChk;
	Gtk::Entry		CacheDirEntry;
protected:
	Gtk::HSeparator	_CacheHSep;
	Gtk::HBox	_CacheDirBox;
	Gtk::Label	_CacheDirLabel;
};

COptionsDialog::COptionsDialog() :
DependenciesChk("_Install Dependencies", true),
MirrorCatChk("_Use Mirror Categories", true),
SearchCategoryChk("_Search Only Current Category", true),
SearchFilterChk("Search Only Current _Filter", true),
SearchDescChk("Search Package _Descriptions", true),
StartReloadChk("_Reload Mirror On Start", true),
VerboseButtonsChk("_Verbose Buttons (Requires Restart)", true),
_CacheDirLabel("Cache Directory:")
{
	set_title("Options");
	set_border_width(6);
	get_vbox()->set_spacing(6);

	get_vbox()->pack_start(DependenciesChk);
	get_vbox()->pack_start(MirrorCatChk);
	get_vbox()->pack_start(SearchCategoryChk);
	get_vbox()->pack_start(SearchFilterChk);
	get_vbox()->pack_start(SearchDescChk);
	get_vbox()->pack_start(StartReloadChk);
	get_vbox()->pack_start(VerboseButtonsChk);

	// Add the cache stuff.
	get_vbox()->pack_start(_CacheHSep);
	get_vbox()->pack_start(_CacheDirBox);
	_CacheDirBox.set_spacing(6);
	_CacheDirBox.pack_start(_CacheDirLabel, Gtk::PACK_SHRINK);
	_CacheDirBox.pack_start(CacheDirEntry);

	add_button(Gtk::Stock::CLOSE, 1);
	set_default_response(1);
	show_all_children();
}

#endif
